On Thu, 1 Jun 2000, Hannu Krosing wrote:
> True. The problem is that in some perverted fashion it seems to me that if 
> I use a GPL library with something the whole thing should go GPL, i.e. my 

   Yes - that's why I love GPL :)

> use of ZPoPyDA could make me obliged to distribute Zope under GPL, which I 
> of course can't do and thus i start feeling scizophrenic ;)

   No - just using the GPL'd adapter do not require you to distribute Zope
under GPL. The adapter is just a "plugin"; there was an explanation from
RMS that GPL'd plugins does not require to GPL the main program and vice
versa; there probably will be newer version of GPL (don't know how soon)
which will explain the plugin thingie in details.

   In short - only linking with GPL code "infects" your code with GPL.

Oleg.            (All opinions are mine and not of my employer)
    Oleg Broytmann      Foundation for Effective Policies      [EMAIL PROTECTED]
           Programmers don't die, they just GOSUB without RETURN.

Zope maillist  -  [EMAIL PROTECTED]
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-dev )

Reply via email to